### Hierarchy

- IPacket

## Index

### Properties

- cmd
- payload
- topic

## Properties

### cmd

cmd: "connect" | "publish" | "connack" | "subscribe" | "suback" | "unsubscribe" | "unsuback" | "puback" | "pubcomp" | "pubrel" | "pingreq" | "pingresp" | "disconnect" | "pubrec"

- Defined in lib/api/IPacket.ts:10

### Optional payload

payload: undefined | string

- Defined in lib/api/IPacket.ts:11

### Optional topic

topic: undefined | string

- Defined in lib/api/IPacket.ts:12

Generated using TypeDoc